Skip to main content

Creating the Capture Context


This section shows you how to request the capture context.

POST /uc/v1/sessions

POST /uc/v1/sessions

Required Fields for Requesting the Capture Context

Your capture context request must include these fields:

allowedPaymentTypes Required

Set to CLICKTOPAY.

country Required
data.orderInformation.amountDetails.currency Required
data.orderInformation.amountDetails.totalAmount Required

Include this field for values greater than or equal to 0.00.

locale Required
targetOrigins Required

The URL in this field value must contain https.

{    "targetOrigins": [      "https://unified-payments.appspot.com"    ],    "allowedCardNetworks": [      "VISA",      "MASTERCARD",      "AMEX"    ],    "allowedPaymentTypes": [      "CLICKTOPAY"    ],    "country": "US",    "locale": "en_US",    "captureMandate": {      "billingType": "FULL",      "requestEmail": true,      "requestPhone": true,      "requestShipping": true,      "shipToCountries": [        "US",        "GB"      ],      "showAcceptedNetworkIcons": true    },    "data": {      "orderInformation": {        "amountDetails": {          "totalAmount": "21.00",          "currency": "USD"        },        "billTo": {          "address1": "1111 Park Street",          "address2": "Apartment 24B",          "administrativeArea": "NY",          "country": "US",          "district": "district",          "locality": "New York",          "postalCode": "00000",          "company": {            "name": "Visa Inc",            "address1": "900 Metro Center Blvd",            "administrativeArea": "CA",            "buildingNumber": "1",            "country": "US",            "district": "district",            "locality": "Foster City",            "postalCode": "94404"          },          "email": "[email protected]",          "firstName": "Maya",          "lastName": "Tran",          "middleName": "S",          "title": "Ms",          "phoneNumber": "1234567890",          "phoneType": "phoneType"        },        "shipTo": {          "address1": "Visa",          "address2": "123 Main Street",          "address3": "Apartment 102",          "administrativeArea": "CA",          "buildingNumber": "string",          "country": "US",          "locality": "Springfield",          "postalCode": "99999",          "firstName": "Joe",          "lastName": "Soap"        }      }    }  }
eyJraWQiOiJ6dSIsImFsZyI6IlJTMjU2In0.eyJmbHgiOnsicGF0aCI6Ii9mbGV4L3YyL3Rva2VucyIsImNvbXBsZXRlUGF0aCI6Ii9mbGV4L3YyL2NvbXBsZXRlIn19...
{  "kid": "zu",  "alg": "RS256"}
{  "flx": "...",  "ctx": [    {      "data": {        "clientLibrary": "[EXTRACT clientLibrary VALUE from here]",        "clientLibraryIntegrity": "[EXTRACT clientLibraryIntegrity VALUE from here]"      },      "type": "gda-0.10.0"    }  ],  "iss": "Flex API",  "exp": 1765827144,  "iat": 1765826244,  "jti": "k7oy3rhyKnLr44pf"}

Last published: September 29, 2026